<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2006 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: DaySpan.php 4346 2006-03-06 16:43:19Z andrew@m3.net $
*/

/**
 * Abstract data field object, used to supply reports, statistics, and other admin UI screens with parameters.
 *
 * Always use the factory method to instantiate fields -- it will create
 * the right subclass for you.
 *
 * @package    Max
 * @author     Scott Switzer <scott@switzer.org>
 * @abstract
 */
class Admin_UI_Field
{
    /* @var string */
    var $_name;
    /* @var string */
    var $_value;
    /* @var integer */
    var $_tabIndex;

 
    function setName($name)
    {
        $this->_name = $name;
    }
    
    function setValue($value)
    {
        $this->_value = $value;
    }
    
    function getValue()
    {
        return $this->_value;
    }
    
    function setValueFromArray($aFieldValues)
    {
        $name = $this->_name;
        if (!empty($aFieldValues[$name])) {
            $this->_value = $aFieldValues[$name];
        }
    }
}

?>
